For the complete documentation index, see llms.txt. This page is also available as Markdown.

Invite a user to the team

Sends an invitation to a user to join a specified team. It requires parameters such as the team's unique identifier and the email address of the user to be invited. The retailer team, identified by a

Epsilon Retail Media's documentation is now centralized with our knowledgebase!

For up to date guides, please view this page in the new Partner APIs space of our documentation.


description: "Sends an invitation to a user to join a specified team. It requires parameters such as the team's unique identifier and the email address of the user to be invited. The retailer team, identified by a unique ID, manages access and can also invite suppliers."

Invite a user to the team

Invite a user to the team

post

Sends an invitation to a user to join a specified team. It requires parameters such as the team's unique identifier and the email address of the user to be invited. The retailer team, identified by a unique ID, manages access and can also invite suppliers.

Authorizations
AuthorizationstringRequired

For accessing the API a valid JWT jwt must be passed in all queries in the 'Authorization' header. The following syntax must be used in the 'Authorization' header. (Bearer xxx.yyy.zzz)

Body
Responses
200

The invite user team

application/json
invitationTokenstringOptional

The invitation_token of the team.

post/v2/invite_teams
POST /v2/invite_teams HTTP/1.1
Host: auth.<env>.citrusad.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 261

{
  "inviteTeam": {
    "emailToInvite": "invitee@example.com",
    "inviteUrl": "https://campaign.citrusad.com/user/invite",
    "languageCode": "EN_US",
    "managerTeamId": "manager-team-123",
    "roleIds": [
      "ROLE_TYPES_SUPPLIER_FULL",
      "ROLE_TYPES_RETAILER_REPORT_VIEW"
    ],
    "teamId": "team-456"
  }
}
{
  "invitationToken": "text"
}